Bug 1312826 - [devexp_public_640] Failed to "Cancel deployments in Openshift" via jenkins
[devexp_public_640] Failed to "Cancel deployments in Openshift" via jenkins
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Gabe Montero
Wang Haoran
Depends On: 1292021
Blocks: 1294940 1308390
  Show dependency treegraph
Reported: 2016-02-29 05:37 EST by wewang
Modified: 2016-05-12 12:30 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1292021
Last Closed: 2016-05-12 12:30:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 3 Gabe Montero 2016-02-29 10:11:05 EST
With the cannot trigger pod item from Comment #1 was https://github.com/openshift/origin/issues/7663, whose fix just got merged into origin a few minutes ago.

With the exception on the cancel deployments, at least with what was pasted in bugzilla, there appears to be a space prior to the "wewang".  If that is fact correct, I suspect a space was entered in the project name field prior to "wewang".

Please confirm / retry, insuring that there is no space.  Return the bugzilla back to me either way with the results.

If this was the case, moving forward, the plugin code could certainly trim any preceding / succeeding spaces (an old UI gotcha that slipped my mind).

If this is not the case, and it is reproducible, we'll need to start debugging the plugin dependency openshift-restclient-java, which actually makes the REST api call.
Comment 4 wewang 2016-03-01 21:26:16 EST
@Gabe Montero, sorry about cancel deployment, my mistake, it works

and use template to create jenkins directly, it also works now, thx
Comment 6 errata-xmlrpc 2016-05-12 12:30:39 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.